using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "counterhelper")]
public class CounterHelperEffect : Script, IScriptOnIncomingHit
{
    public IPokemon? LastHitBy { get; private set; }
    public uint LastDamage { get; private set; }

    /// <inheritdoc />
    public void OnIncomingHit(IExecutingMove move, IPokemon target, byte hit)
    {
        if (move.UseMove.Category == MoveCategory.Physical)
        {
            LastHitBy = move.User;
            LastDamage = move.GetHitData(target, hit).Damage;
        }
    }
}